=== debian/changelog ===
ddnet (11.0.3-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:49:14 +0000

ddnet (11.0.3-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS on 32bit architectures (Closes: #890372)
  * Change the location of data directory to upstream favoured one
  * Update copyright
  * Bump Standards-Version to 4.1.3
  * Move Vcs to Salsa platform
  * Bump debhelper compat to v11

 -- Yangfl <mmyangfl@gmail.com>  Wed, 14 Feb 2018 16:49:07 +0800

ddnet (10.8.6-3) unstable; urgency=medium

  * Update copyright

 -- Yangfl <mmyangfl@gmail.com>  Tue, 28 Nov 2017 22:39:25 +0800

ddnet (10.8.6-2) unstable; urgency=medium

  [ Yangfl]
  * Update copyright

  [ SZ Lin (林上智) ]
  * Clean up copyright

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 29 Sep 2017 10:50:32 +0800

ddnet (10.8.6-1) unstable; urgency=medium

  * Initial release (Closes: #794166)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 16 Sep 2017 21:30:00 +0800
