=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ddnet-$1.tar.gz%" \
 https://github.com/ddnet/ddnet/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
