## ddnet 11.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,11 @@
   endif()
 endif()
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
+set(ORIGINAL_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH})
+set(ORIGINAL_CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES})
+set(ORIGINAL_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
+set(OWN_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${OWN_CMAKE_MODULE_PATH})
 
 if(CMAKE_SIZEOF_VOID_P EQUAL 8)
   set(TARGET_BITS "64")
@@ -149,7 +153,61 @@
   add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wno-unused-parameter)
   add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wno-missing-field-initializers)
   add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wformat=2) # Warn about format strings.
-endif()
+  add_c_compiler_flag_if_supported(OUR_FLAGS_DEP -Wno-implicit-function-declaration)
+endif()
+
+if(NOT MSVC)
+  check_c_compiler_flag("-O2;-Wp,-Werror;-D_FORTIFY_SOURCE=2" DEFINE_FORTIFY_SOURCE) # Some distributions define _FORTIFY_SOURCE by themselves.
+endif()
+
+########################################################################
+# COMMON FUNCTIONS
+########################################################################
+
+function(set_glob VAR GLOBBING DIRECTORY) # ...
+  file(${GLOBBING} GLOB_RESULT "${DIRECTORY}/*.c" "${DIRECTORY}/*.cpp" "${DIRECTORY}/*.h")
+  list(SORT GLOB_RESULT)
+  set(FILES)
+  foreach(file ${ARGN})
+    list(APPEND FILES "${PROJECT_SOURCE_DIR}/${DIRECTORY}/${file}")
+  endforeach()
+
+  if(NOT FILES STREQUAL GLOB_RESULT)
+    message(AUTHOR_WARNING "${VAR} does not contain every file from directory ${DIRECTORY}")
+    set(LIST_BUT_NOT_GLOB)
+    if(POLICY CMP0057)
+      cmake_policy(SET CMP0057 NEW)
+      foreach(file ${FILES})
+        if(NOT file IN_LIST GLOB_RESULT)
+          list(APPEND LIST_BUT_NOT_GLOB ${file})
+        endif()
+      endforeach()
+      if(LIST_BUT_NOT_GLOB)
+        message(AUTHOR_WARNING "Entries only present in ${VAR}: ${LIST_BUT_NOT_GLOB}")
+      endif()
+      set(GLOB_BUT_NOT_LIST)
+      foreach(file ${GLOB_RESULT})
+        if(NOT file IN_LIST FILES)
+          list(APPEND GLOB_BUT_NOT_LIST ${file})
+        endif()
+      endforeach()
+      if(GLOB_BUT_NOT_LIST)
+        message(AUTHOR_WARNING "Entries only present in ${DIRECTORY}: ${GLOB_BUT_NOT_LIST}")
+      endif()
+    endif()
+  endif()
+
+  set(${VAR} ${FILES} PARENT_SCOPE)
+endfunction()
+
+########################################################################
+# INITIALIZE TARGET LISTS
+########################################################################
+
+set(TARGETS_OWN)
+set(TARGETS_DEP)
+
+set(TARGETS_LINK) # Targets with a linking stage.
 
 ########################################################################
 # DEPENDENCIES
@@ -203,11 +261,14 @@
   # quietly.
   find_package(PkgConfig)
 endif()
+find_package(ZLIB)
+find_package(Crypto)
 find_package(Curl)
 find_package(Freetype)
 if(DOWNLOAD_GTEST)
   find_package(Git)
 endif()
+find_package(GLEW)
 find_package(GTest)
 if(MYSQL)
   find_package(MySQL)
@@ -217,14 +278,18 @@
 find_package(Ogg)
 find_package(Opus)
 find_package(Opusfile)
+find_package(Pnglite)
 find_package(PythonInterp)
 find_package(SDL2)
 find_package(Threads)
-if(NOT PREFER_BUNDLED_LIBS)
-  find_package(ZLIB)
-else()
-  set(ZLIB_FOUND NO)
-endif()
+find_package(Wavpack)
+if(WEBSOCKETS)
+  find_package(Websockets)
+else()
+  set(WEBSOCKETS_LIBRARIES)
+  set(WEBSOCKETS_INCLUDE_DIRS)
+endif()
+
 
 if(TARGET_OS AND TARGET_OS STREQUAL "mac")
   find_program(DMG dmg)
@@ -245,45 +310,50 @@
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
 
 message(STATUS "Dependencies:")
-function(show_dependency_status NAME FOUND PATH)
-  if(FOUND)
-    is_bundled(IS_BUNDLED "${PATH}")
-    if(IS_BUNDLED)
-      message(STATUS " * ${NAME} not found (using bundled version)")
+function(show_dependency_status OUTPUT_NAME NAME)
+  if(${NAME}_FOUND)
+    if(${NAME}_BUNDLED)
+      message(STATUS " * ${OUTPUT_NAME} not found (using bundled version)")
     else()
-      message(STATUS " * ${NAME} found")
-    endif()
-  else()
-    message(STATUS " * ${NAME} not found")
-  endif()
-endfunction()
-
-show_dependency_status("Curl" ${CURL_FOUND} "${CURL_LIBRARY}")
+      message(STATUS " * ${OUTPUT_NAME} found")
+    endif()
+  else()
+    message(STATUS " * ${OUTPUT_NAME} not found")
+  endif()
+endfunction()
+
+show_dependency_status("Curl" CURL)
 if(TARGET_OS AND TARGET_OS STREQUAL "mac")
-  show_dependency_status("Dmg tools" ${DMGTOOLS_FOUND} "")
-endif()
-show_dependency_status("Freetype" ${FREETYPE_FOUND} "${FREETYPE_LIBRARY}")
+  show_dependency_status("Dmg tools" DMGTOOLS)
+endif()
+show_dependency_status("Freetype" FREETYPE)
 if(DOWNLOAD_GTEST)
-  show_dependency_status("Git" ${GIT_FOUND} "${GIT_EXECUTABLE}")
-endif()
-show_dependency_status("GTest" ${GTEST_FOUND} "${GTEST_LIBRARY}")
+  show_dependency_status("Git" GIT)
+endif()
+show_dependency_status("Glew" GLEW)
+show_dependency_status("GTest" GTEST)
 if(TARGET_OS AND TARGET_OS STREQUAL "mac")
-  show_dependency_status("Hdiutil" ${HDIUTIL} "")
+  show_dependency_status("Hdiutil" HDIUTIL)
 endif()
 if(MYSQL)
-  show_dependency_status("MySQL" ${MYSQL_FOUND} "${MYSQL_LIBRARY}")
-endif()
-show_dependency_status("Ogg" ${OGG_FOUND} "${OGG_INCLUDEDIR}")
-show_dependency_status("Opus" ${OPUS_FOUND} "${OPUS_INCLUDEDIR}")
-show_dependency_status("Opusfile" ${OPUSFILE_FOUND} "${OPUSFILE_LIBRARY}")
-show_dependency_status("PythonInterp" ${PYTHONINTERP_FOUND} "")
-show_dependency_status("SDL2" ${SDL2_FOUND} "${SDL2_LIBRARY}")
-if(ZLIB_FOUND)
-  message(STATUS " * Zlib found")
-else()
-  message(STATUS " * Zlib not found (using bundled version)")
-endif()
-
+  show_dependency_status("MySQL" MYSQL)
+endif()
+show_dependency_status("Ogg" OGG)
+show_dependency_status("OpenSSL Crypto" CRYPTO)
+show_dependency_status("Opus" OPUS)
+show_dependency_status("Opusfile" OPUSFILE)
+show_dependency_status("Pnglite" PNGLITE)
+show_dependency_status("PythonInterp" PYTHONINTERP)
+show_dependency_status("SDL2" SDL2)
+show_dependency_status("Wavpack" WAVPACK)
+show_dependency_status("Zlib" ZLIB)
+if(WEBSOCKETS)
+  show_dependency_status("Websockets" WEBSOCKETS)
+endif()
+
+if(NOT(CURL_FOUND))
+  message(SEND_ERROR "You must install Curl to compile the DDNet")
+endif()
 if(NOT(PYTHONINTERP_FOUND))
   message(SEND_ERROR "You must install Python to compile DDNet")
 endif()
@@ -292,9 +362,10 @@
   message(SEND_ERROR "You must install MySQL to compile the DDNet server with MySQL support")
 endif()
 
-if(CLIENT AND NOT(CURL_FOUND))
-  message(SEND_ERROR "You must install Curl to compile the DDNet client")
-endif()
+if(WEBSOCKETS AND NOT(WEBSOCKETS_FOUND))
+  message(SEND_ERROR "You must install libwebsockets to compile the DDNet server with websocket support")
+endif()
+
 if(CLIENT AND NOT(FREETYPE_FOUND))
   message(SEND_ERROR "You must install Freetype to compile the DDNet client")
 endif()
@@ -310,69 +381,3 @@
 if(CLIENT AND NOT(SDL2_FOUND))
   message(SEND_ERROR "You must install SDL2 to compile the DDNet client")
 endif()
-if(NOT(GTEST_FOUND))
-  if(DOWNLOAD_GTEST)
-    if(GIT_FOUND)
-      message(STATUS "Automatically downloading GTest to be able to run tests")
-    else()
-      set(DOWNLOAD_GTEST OFF)
-      message(WARNING "To automatically download GTest, you have to install Git")
-    endif()
-  else()
-    message(STATUS "To run the tests, you have to install GTest")
-  endif()
-endif()
-
-if(TARGET_OS STREQUAL "windows")
-  set(PLATFORM_CLIENT)
-  set(PLATFORM_CLIENT_LIBS opengl32 glu32 winmm)
-  set(PLATFORM_LIBS ws2_32) # Windows sockets
-elseif(TARGET_OS STREQUAL "mac")
-  find_library(CARBON Carbon)
-  find_library(COCOA Cocoa)
-  find_library(OPENGL OpenGL)
-  find_library(SECURITY Security)
-  set(PLATFORM_CLIENT
-    src/osx/notification.h
-    src/osx/notification.mm
-    src/osxlaunch/client.h
-    src/osxlaunch/client.m
-  )
-  set(PLATFORM_CLIENT_LIBS ${COCOA} ${OPENGL} ${SECURITY})
-  set(PLATFORM_LIBS ${CARBON})
-else()
-  set(PLATFORM_CLIENT)
-  set(PLATFORM_CLIENT_LIBS GL GLU X11)
-  if(TARGET_OS STREQUAL "linux")
-    set(PLATFORM_LIBS rt) # clock_gettime for glibc < 2.17
-  else()
-    set(PLATFORM_LIBS)
-  endif()
-endif()
-
-if(NOT MSVC)
-  check_c_compiler_flag("-O2;-Wp,-Werror;-D_FORTIFY_SOURCE=2" DEFINE_FORTIFY_SOURCE) # Some distributions define _FORTIFY_SOURCE by themselves.
-endif()
-
-########################################################################
-# DOWNLOAD GTEST
-########################################################################
-
-if(NOT(GTEST_FOUND) AND DOWNLOAD_GTEST)
-  # Change to the 1.9.0 release tag once that works.
-  set(DDNET_GTEST_VERSION 7b6561c56e353100aca8458d7bc49c4e0119bae8)
-  configure_file(cmake/Download_GTest_CMakeLists.txt.in googletest-download/CMakeLists.txt)
-  execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
-    RESULT_VARIABLE result
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/googletest-download
-  )
-  if(result)
-    message(WARNING "CMake step for googletest failed: ${result}")
-    set(DOWNLOAD_GTEST OFF)
-  else()
-    execute_process(COMMAND ${CMAKE_COMMAND} --build .
-      RESULT_VARIABLE result
-      WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/googletest-download
-    )
-    if(result)
-      message(WARNING "Build step for googletest failed: ${result}")
