=== debian/changelog ===
ddnet (11.3.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Update upstream URL

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Aug 2018 13:38:26 +0800

ddnet (11.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Wed, 04 Jul 2018 00:17:11 +0800

ddnet (11.1.8-1) unstable; urgency=medium

  * New upstream release
  * Temporarily bundle icon font since it uses Unicode private area

 -- Yangfl <mmyangfl@gmail.com>  Thu, 24 May 2018 14:26:39 +0800

ddnet (11.1.3-1) unstable; urgency=medium

  * New upstream release
  * Move data location to usr/share/games/ddnet/data/
  * Update copyright
  * Bump Standards-Version to 4.1.4
  * Move Vcs to Team repo

 -- Yangfl <mmyangfl@gmail.com>  Mon, 09 Apr 2018 10:55:12 +0800
