=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ddnet
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
  Yangfl <mmyangfl@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
 Build-Depends-Arch:
  cmake,
  python3,
@@ -24,19 +23,20 @@
  libglew-dev,
  libpnglite-dev,
  libwavpack-dev,
+ libwebsockets-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://ddnet.tw/
-Vcs-Git: https://salsa.debian.org/yangfl-guest/ddnet.git
-Vcs-Browser: https://salsa.debian.org/yangfl-guest/ddnet
+Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
+Vcs-Browser: https://salsa.debian.org/games-team/ddnet
 
 Package: ddnet
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- ddnet-data (= ${source:Version}),
+ ddnet-data (>= ${source:Version}),
 Description: Teeworlds modification with a unique cooperative gameplay
  DDraceNetwork (DDNet) is an actively maintained version of DDRace, a Teeworlds
  modification with a unique cooperative gameplay. Help each other play through
@@ -50,7 +50,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- ddnet-data (= ${source:Version}),
+ ddnet-data (>= ${source:Version}),
 Suggests:
  ddnet-tools,
 Description: Server for DDNet
@@ -79,8 +79,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ fonts-dejavu-core,
 Recommends:
- fonts-dejavu-core,
  fonts-wqy-microhei,
 Description: Data for DDNet
  DDraceNetwork (DDNet) is an actively maintained version of DDRace, a Teeworlds
