=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,16 @@
 build-indep:
 	# pass
 
-override_dh_clean-arch:
-	dh_clean -a
+override_dh_clean-indep:
+	dh_clean -i
 	$(RM) DDNet*.png
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -a -- \
 		-DMYSQL=ON -DWEBSOCKETS=ON -DPREFER_BUNDLED_LIBS=OFF
+
+override_dh_auto_build-arch:
+	dh_auto_build -a
 
 override_dh_auto_install-arch:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && DESTDIR=$(CURDIR)/debian/tmp cmake -DCOMPONENT=portable -P cmake_install.cmake
@@ -28,7 +31,7 @@
 override_dh_install-indep:
 	dh_install -i
 	for f in languages/license.txt languages/scripts; do \
-		rm -rf "debian/ddnet-data/usr/share/games/ddnet/data/$$f"; \
+		rm -r "debian/ddnet-data/usr/share/games/ddnet/data/$$f"; \
 	done
 	for exe in DDNet; do \
 		icns2png -x other/icons/$${exe}.icns; \
