## ddnet 11.4.2

=== debian/changelog ===
ddnet (11.4.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.1.
  * Remove myself from uploaders list.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Aug 2018 10:52:15 -0400

ddnet (11.4.2-1) unstable; urgency=medium

  * New upstream release
  * Remove statically linked libgcc and libstdc++
  * Bump Standards-Version to 4.2.0

 -- Yangfl <mmyangfl@gmail.com>  Sat, 25 Aug 2018 14:53:10 +0800
