=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
  Yangfl <mmyangfl@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
@@ -26,7 +25,7 @@
  libwebsockets-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://ddnet.tw/
 Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
 Vcs-Browser: https://salsa.debian.org/games-team/ddnet
