=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 override_dh_install-indep:
 	dh_install -i
-	for f in languages/license.txt languages/scripts; do \
+	for f in languages/license.txt; do \
 		rm -r "debian/ddnet-data/usr/share/games/ddnet/data/$$f"; \
 	done
 	for exe in DDNet; do \
