=== debian/changelog ===
ddnet (11.5-1) unstable; urgency=medium

  * New upstream release
  * Disable tests that require network (Closes: #913487)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Nov 2018 14:09:40 +0800

ddnet (11.4.6-1) unstable; urgency=medium

  * New upstream release
  * Enable gtest and add build dep libgtest-dev
  * Add build dep libmd-dev and add use-system-libmd.patch
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Mon, 05 Nov 2018 12:55:20 +0800
