=== debian/control ===
--- 
+++ 
@@ -17,12 +17,14 @@
  libopusfile-dev,
  libsdl2-dev,
  libmariadbclient-dev,
+ libmd-dev (>= 1.0.1),
  libmysqlcppconn-dev,
  libboost-dev,
  libglew-dev,
  libpnglite-dev,
  libwavpack-dev,
  libwebsockets-dev,
+ libgtest-dev,
 Build-Depends-Indep:
  icnsutils,
 Standards-Version: 4.2.1
