=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -O3
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
@@ -20,13 +20,19 @@
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -a -- \
-		-DMYSQL=ON -DWEBSOCKETS=ON -DPREFER_BUNDLED_LIBS=OFF
+		-DMYSQL=ON -DWEBSOCKETS=ON -DPREFER_BUNDLED_LIBS=OFF \
+		-DTEST_ARGS=--gtest_filter=-Jobs.LookupHost
 
 override_dh_auto_build-arch:
 	dh_auto_build -a
 
+override_dh_auto_test-arch:
+	+cd obj-$(DEB_BUILD_GNU_TYPE) && make run_tests
+
 override_dh_auto_install-arch:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && DESTDIR=$(CURDIR)/debian/tmp cmake -DCOMPONENT=portable -P cmake_install.cmake
+
+override_dh_auto_install-indep:
 
 override_dh_install-indep:
 	dh_install -i
