## ddnet 11.6

=== debian/changelog ===
ddnet (11.6-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Mon, 24 Dec 2018 21:46:03 +0800
