=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopus-dev,
  libopusfile-dev,
  libsdl2-dev,
- libmariadbclient-dev,
+ libmariadb-dev,
  libmd-dev (>= 1.0.1),
  libmysqlcppconn-dev,
  libboost-dev,
