=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,14 @@
 
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -O3
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH),ia64)
+  # gcc o3 segfault on ia64
+  # It's just annoying, not a sign I'll care about ia64
+  export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
+endif
 
 
 %:
@@ -17,6 +25,7 @@
 override_dh_clean-indep:
 	dh_clean -i
 	$(RM) DDNet*.png
+	$(RM) -r datasrc/*.pyc datasrc/__pycache__
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -a -- \
