## ddnet 11.7.2

=== debian/changelog ===
ddnet (11.7.2-2) unstable; urgency=medium

  * Fix FTBFS on architectures where char is unsigned (Closes: #921443)
  * Disable autoupdater

 -- Yangfl <mmyangfl@gmail.com>  Tue, 12 Feb 2019 22:31:43 +0800

ddnet (11.7.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Tue, 29 Jan 2019 14:39:54 +0800
