=== debian/changelog ===
ddnet (11.8-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Tue, 26 Feb 2019 23:31:36 +0800
