=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
 Build-Depends-Arch:
  cmake,
  python3,
@@ -27,7 +27,7 @@
  libgtest-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://ddnet.tw/
 Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
 Vcs-Browser: https://salsa.debian.org/games-team/ddnet
