=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,8 @@
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -a -- \
-		-DMYSQL=ON -DWEBSOCKETS=ON -DPREFER_BUNDLED_LIBS=OFF \
-		-DTEST_ARGS=--gtest_filter=-Jobs.LookupHost
+		-DMYSQL=ON -DWEBSOCKETS=ON -DPREFER_BUNDLED_LIBS=OFF -DAUTOUPDATE=OFF \
+		-DTESTRUNNER_ARGS=--gtest_filter=-Jobs.LookupHost
 
 override_dh_auto_build-arch:
 	dh_auto_build -a
