=== debian/changelog ===
ddnet (12.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/compat: Removed, not needed.

  [ Gianfranco Costamagna ]
  * Allow stderr in autopkgtest due to new gcc-9 deprecated
    copy warnings.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Sep 2019 13:46:03 -0400

ddnet (12.5-1) unstable; urgency=medium

  * New upstream release
  * Updata manpages, thanks to Ryozuki <ryo@ryozuki.xyz>

 -- Yangfl <mmyangfl@gmail.com>  Thu, 04 Jul 2019 16:38:09 +0800
