=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  SZ Lin (林上智) <szlin@debian.org>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  cmake,
  python3,
@@ -17,7 +17,6 @@
  libopusfile-dev,
  libsdl2-dev,
  libmariadb-dev,
- libmd-dev (>= 1.0.1),
  libmysqlcppconn-dev,
  libboost-dev,
  libglew-dev,
@@ -27,7 +26,7 @@
  libgtest-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://ddnet.tw/
 Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
 Vcs-Browser: https://salsa.debian.org/games-team/ddnet
