## ddnet 12.7.2

=== debian/changelog ===
ddnet (12.7.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 23 Oct 2019 13:12:23 +0800
