=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libgtest-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://ddnet.tw/
 Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
 Vcs-Browser: https://salsa.debian.org/games-team/ddnet
