## ddnet 12.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,10 +42,10 @@
 set(OWN_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
 set(CMAKE_MODULE_PATH ${OWN_CMAKE_MODULE_PATH})
 
-if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+if(CMAKE_SIZEOF_VOID_P EQUAL 4)
+  set(TARGET_BITS "32")
+else()
   set(TARGET_BITS "64")
-elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
-  set(TARGET_BITS "32")
 endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
@@ -79,6 +79,7 @@
 option(WEBSOCKETS "Enable websockets support" OFF)
 option(MYSQL "Enable mysql support" OFF)
 option(AUTOUPDATE "Enable the autoupdater" ${AUTOUPDATE_DEFAULT})
+option(VIDEORECORDER "Enable video recording support via FFmpeg" OFF)
 option(CLIENT "Compile client" ON)
 option(DOWNLOAD_GTEST "Download and compile GTest" ${AUTO_DEPENDENCIES_DEFAULT})
 option(PREFER_BUNDLED_LIBS "Prefer bundled libraries over system libraries" ${AUTO_DEPENDENCIES_DEFAULT})
@@ -193,8 +194,12 @@
 # COMMON FUNCTIONS
 ########################################################################
 
-function(set_glob VAR GLOBBING DIRECTORY) # ...
-  file(${GLOBBING} GLOB_RESULT "${DIRECTORY}/*.c" "${DIRECTORY}/*.cpp" "${DIRECTORY}/*.h")
+function(set_glob VAR GLOBBING EXTS DIRECTORY) # ...
+  set(GLOBS)
+  foreach(ext ${EXTS})
+    list(APPEND GLOBS "${DIRECTORY}/*.${ext}")
+  endforeach()
+  file(${GLOBBING} GLOB_RESULT ${GLOBS})
   list(SORT GLOB_RESULT)
   set(FILES)
   foreach(file ${ARGN})
@@ -232,6 +237,11 @@
   set(${VAR} ${FILES} PARENT_SCOPE)
 endfunction()
 
+function(set_src VAR GLOBBING DIRECTORY) # ...
+  set_glob(${VAR} ${GLOBBING} "c;cpp;h" ${DIRECTORY} ${ARGN})
+  set(${VAR} ${${VAR}} PARENT_SCOPE)
+endfunction()
+
 ########################################################################
 # INITIALIZE TARGET LISTS
 ########################################################################
@@ -313,6 +323,9 @@
 find_package(Pnglite)
 find_package(PythonInterp)
 find_package(SDL2)
+if(VIDEORECORDER)
+  find_package(FFmpeg)
+endif()
 find_package(Threads)
 find_package(Wavpack)
 if(WEBSOCKETS)
@@ -334,6 +347,11 @@
   endif()
 
   find_program(HDIUTIL hdiutil)
+  if(HDIUTIL)
+    set(HDIUTIL_FOUND ON)
+  else()
+    set(HDIUTIL_FOUND OFF)
+  endif()
 endif()
 
 message(STATUS "******** DDNet ********")
@@ -359,16 +377,3 @@
   show_dependency_status("Dmg tools" DMGTOOLS)
 endif()
 show_dependency_status("Freetype" FREETYPE)
-if(DOWNLOAD_GTEST)
-  show_dependency_status("Git" GIT)
-endif()
-show_dependency_status("Glew" GLEW)
-show_dependency_status("GTest" GTEST)
-if(TARGET_OS AND TARGET_OS STREQUAL "mac")
-  show_dependency_status("Hdiutil" HDIUTIL)
-endif()
-if(MYSQL)
-  show_dependency_status("MySQL" MYSQL)
-endif()
-show_dependency_status("Ogg" OGG)
-show_dependency_status("OpenSSL Crypto" CRYPTO)
