=== debian/changelog ===
ddnet (12.9.2-1ubuntu1) focal; urgency=medium

  * Lower optimization level on s390x to fix a build failure
  * allow stderr because of s390x warnings

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 14:45:06 +0100

ddnet (12.9.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Wed, 26 Feb 2020 00:08:26 +0800
