=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
  libgtest-dev,
 Build-Depends-Indep:
  icnsutils,
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://ddnet.tw/
 Vcs-Git: https://salsa.debian.org/games-team/ddnet.git
 Vcs-Browser: https://salsa.debian.org/games-team/ddnet
