=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ddnet-$1.tar.gz%" \
   https://ddnet.tw/downloads/ \
   DDNet-(\d[\d.]*)\.tar\.xz debian uupdate
